ranges::semiregular_box< T && > Struct Template Reference
Utility
Inheritance diagram for ranges::semiregular_box< T && >:

## Public Member Functions

template<typename Arg >
CPP_TEMPLATE_AUX_0 | s (requires constructible_from< ranges::reference_wrapper< T && >, Arg >) sssemiregular_box(in_place_t

## Public Attributes

CPP_TEMPLATE_AUX_0 Arg &&arg | noexcept: ranges::reference_wrapper<T &&>(static_cast<Arg &&>(arg)) {} using ranges::reference_wrapper<T &&>::get